Bug 1571741 - [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Summary: [RFE][Deployment] add ability to configure extra CPU flags for named CPU models
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-nova
Version: 13.0 (Queens)
Hardware: All
OS: Linux
high
high
Target Milestone: z2
: ---
Assignee: Rajesh Tailor
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1398343 1547954 1570610 1570611 1570614 1570617 1571744 1571750 1571756
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 10:47 UTC by Rajesh Tailor
Modified: 2020-02-14 18:36 UTC (History)
22 users (show)

Fixed In Version: puppet-nova-12.4.0-2.el7ost
Doc Type: Enhancement
Doc Text:
Nova's libvirt driver now allows the specification of granular CPU feature flags when configuring CPU models. One benefit of this change is the alleviation of a performance degradation experienced on guests running with certain Intel-based virtual CPU models after application of the "Meltdown" CVE fixes. This guest performance impact is reduced by exposing the CPU feature flag 'PCID' ("Process-Context ID") to the *guest* CPU, assuming that the PCID flag is available in the physical hardware itself. For more details, refer to the documentation of ``[libvirt]/cpu_model_extra_flags`` in ``nova.conf`` for usage details.
Clone Of: 1547954
Environment:
Last Closed: 2018-08-09 10:38:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 561796 0 None None None 2018-04-25 10:47:19 UTC

Comment 2 Rajesh Tailor 2018-04-26 13:13:38 UTC
The patch [*] is already in RHOS-13:

    $> git branch --contains 95ca7cdbd
    rhos-13.0-patches

[*] From RHOS-13 branch:
$ git show 95ca7cdbd
commit 95ca7cdbd2479df14b6368c565ebf21042aa05de 
Author: Rajesh Tailor <ratailor@redhat.com>
Date:   Wed Apr 11 17:11:15 2018 +0530

    Handle libvirt/cpu_model_extra_flags option
    
    This allows for specifying granular CPU feature flags when specifying
    CPU models.
    It should be set only if 'cpu_mode' and 'cpu_model' attributes are set
    and cpu_mode attribute value is set to "custom".
    
    NOTE: The related nova changes are done in change:
    I6bb956808aa3df58747c865c92e5b276e61aff44
    
    Change-Id: Id4f2cad2e0b0c34a7a68d0b3a6f69b44816f4cd9
    (cherry picked from commit c12e3580287911a355de8bdf2fdd4c37c38d7fec)

Comment 4 Jon Schlueter 2018-06-27 19:40:48 UTC
According to our records, this should be resolved by puppet-nova-12.4.0-3.el7ost.  This build is available now.


Note You need to log in before you can comment on or make changes to this bug.